import * as _nuxt_schema from '@nuxt/schema';
import { Options } from 'unplugin-element-plus/types';

interface ModuleOptions {
    /**
     * Whether to auto import or not
     *
     * @default true
     */
    autoImport?: boolean;
    /**
     * Whether to include css for dark mode or not. When set to `true`, preprocessor dependency "sass" is required
     *
     * @default true
     */
    enableDarkMode?: boolean;
    /**
     * Options to pass to `unplugin-element-plus`
     *
     * @default {}
     */
    unpluginOptions?: Partial<Options>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

declare module '@nuxt/schema' {
    interface NuxtConfig {
        element?: Partial<ModuleOptions>;
    }
    interface NuxtOptions {
        element?: Partial<ModuleOptions>;
    }
}

export { ModuleOptions, _default as default };
